> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request oauth window uri

> This endpoint will generate an `oauth_window_uri` for the specified `member`.



## OpenAPI

````yaml /openapi/platform-api/v20111101.yaml get /users/{user_guid}/members/{member_guid}/oauth_window_uri
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/members/{member_guid}/oauth_window_uri:
    get:
      tags:
        - widgets
      summary: Request oauth window uri
      description: >-
        This endpoint will generate an `oauth_window_uri` for the specified
        `member`.
      operationId: requestOAuthWindowURI
      parameters:
        - $ref: '#/components/parameters/clientRedirectUrl'
        - $ref: '#/components/parameters/enableApp2app'
        - $ref: '#/components/parameters/memberGuid'
        - $ref: '#/components/parameters/referralSource'
        - $ref: '#/components/parameters/skipAggregation'
        - $ref: '#/components/parameters/uiMessageWebviewUrlScheme'
        - $ref: '#/components/parameters/userGuid'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/OAuthWindowResponseBody'
          description: OK
      deprecated: true
components:
  parameters:
    clientRedirectUrl:
      description: >-
        A URL that MX will redirect to at the end of OAuth with additional query
        parameters. Only available with `referral_source=APP`.
      example: https://{yoursite.com}
      in: query
      name: client_redirect_url
      schema:
        type: string
    enableApp2app:
      description: >-
        This indicates whether OAuth app2app behavior is enabled for
        institutions that support it. Defaults to `true`. When set to `false`,
        any `oauth_window_uri` generated will **not** direct the end user to the
        institution's mobile application. This setting is not persistent. This
        setting currently only affects Chase institutions.
      example: 'false'
      in: query
      name: enable_app2app
      schema:
        type: string
    memberGuid:
      description: The unique id for a `member`.
      example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
      in: path
      name: member_guid
      required: true
      schema:
        type: string
    referralSource:
      description: >-
        Must be either `BROWSER` or `APP` depending on the implementation.
        Defaults to `BROWSER`.
      example: APP
      in: query
      name: referral_source
      schema:
        type: string
    skipAggregation:
      description: >-
        Setting this parameter to `true` will prevent the member from
        automatically aggregating after being redirected from the authorization
        page.
      example: false
      in: query
      name: skip_aggregation
      schema:
        type: boolean
    uiMessageWebviewUrlScheme:
      description: >-
        A scheme for routing the user back to the application state they were
        previously in. Only available with `referral_source=APP`.
      in: query
      name: ui_message_webview_url_scheme
      schema:
        type: string
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    OAuthWindowResponseBody:
      properties:
        member:
          $ref: '#/components/schemas/OAuthWindowResponse'
      type: object
    OAuthWindowResponse:
      properties:
        guid:
          example: MBR-df96fd60-7122-4464-b3c2-ff11d8c74f6f
          nullable: true
          type: string
        oauth_window_uri:
          example: >-
            https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````